## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.Mesh

Class which holds the geometry of an object

Class Overview
CL3D.Mesh()
Class which holds the geometry of an object. A Mesh is nothing more than a collection of some CL3D.MeshBuffers. A mesh is usually used in a CL3D.MeshSceneNode in order to be rendered.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| AddMeshBuffer(m) Adds a MeshBuffer to a mesh.
| createClone() Creates a clone of this mesh, a copy
| GetMeshBuffers() Returns an Array of all MeshBuffers in this mesh.
| GetPolyCount() Returns the amount of polygons in the mesh

Method Detail
AddMeshBuffer(m)
Adds a MeshBuffer to a mesh.

Parameters:
m

createClone()
Creates a clone of this mesh, a copy

{Array} GetMeshBuffers()
Returns an Array of all MeshBuffers in this mesh.

Returns:
  {Array} array of MeshBuffers

{Number} GetPolyCount()
Returns the amount of polygons in the mesh

Returns:
  {Number} number of polygons in this mesh

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit